
_G.WishDrill = _G.WishDrill or {}
WishDrill.ModPath = ModPath
WishDrill.SaveFile = SavePath .. "WishDrill.txt"
WishDrill.Settings = {}

function WishDrill:Reset()
    self.Settings = {
        wishdrill_toggle = false,
        wishdrill_slider = 10
    }
end

function WishDrill:Load()
    local file = io.open( self.SaveFile, "r" )
    if file then
		for k, v in pairs( json.decode( file:read('*all') ) or {} ) do
			self.Settings[k] = v
		end
		file:close()
    else
        self:Reset()
    end
end

function WishDrill:Save()
    local file = io.open( self.SaveFile, "w+" )
    if file then
        file:write( json.encode( self.Settings ) )
        file:close()
    end
end

WishDrill:Load()

Hooks:Add( "LocalizationManagerPostInit" , "LocalizationManagerPostInit_WishDrill" , function( loc )
	loc:load_localization_file( WishDrill.ModPath .. "loc/english.txt", false )
end )

Hooks:Add( "MenuManagerInitialize", "MenuManagerInitialize_WishDrill", function( menu_manager )
    function MenuCallbackHandler:WishDrillSave(item)
        WishDrill:Save()
    end

    function MenuCallbackHandler:set_wishdrill_toggle(item)
        WishDrill.Settings.wishdrill_toggle = item:value() == "on"
    end

    function MenuCallbackHandler:set_wishdrill_slider(item)
        WishDrill.Settings.wishdrill_slider = item:value()
    end

    MenuHelper:LoadFromJsonFile( WishDrill.ModPath .. "options.txt", WishDrill, WishDrill.Settings )
end )
